> ## Documentation Index
> Fetch the complete documentation index at: https://utoken-docs.yoostudio.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Images

>  百炼qwen-image系列图片生成



## OpenAPI

````yaml post /v1/images/generations
openapi: 3.1.0
info:
  title: UToken API
  version: 1.0.0
  description: Complete UToken API Reference Documentation
servers:
  - url: https://utoken.yoostudio.ai
    description: Production
security: []
tags:
  - name: Images / Native Gemini Format
  - name: Images / Native OpenAI Format
  - name: Images / Qwen OpenAI Compatible Format
  - name: Realtime Voice
  - name: Content Moderation
  - name: Text Embeddings
  - name: Unimplemented / Fine-tuning
  - name: Unimplemented / File Management
  - name: Models / List Models
  - name: Chat Completions
  - name: Chat Completions / Native Gemini Format
  - name: Chat Completions / Native OpenAI Format
  - name: Text Completions
  - name: Video Generation
  - name: Video Generation / Sora Format
  - name: Video Generation / Jimeng (Dreamina) Format
  - name: Video Generation / Kling AI Format
  - name: Document Reranking
  - name: Audio Processing
  - name: Audio Processing / Native OpenAI Format
paths:
  /v1/images/generations:
    post:
      tags:
        - Images / Qwen OpenAI Compatible Format
      summary: Generate Image
      description: ' Qwen Image Generation (Bailian qwen-image series)'
      operationId: createimage
      parameters: []
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                model:
                  type: string
                input:
                  type: object
                  properties:
                    messages:
                      type: array
                      items:
                        type: object
                        properties:
                          role:
                            type: string
                          content:
                            type: array
                            items:
                              type: object
                              properties:
                                text:
                                  type: string
                              x-apifox-orders:
                                - text
                        x-apifox-orders:
                          - role
                          - content
                  required:
                    - messages
                  x-apifox-orders:
                    - messages
                parameters:
                  type: object
                  properties:
                    negative_prompt:
                      type: string
                    prompt_extend:
                      type: boolean
                    watermark:
                      type: boolean
                    size:
                      type: string
                  x-apifox-orders:
                    - negative_prompt
                    - prompt_extend
                    - watermark
                    - size
              required:
                - model
                - input
              x-apifox-orders:
                - model
                - input
                - parameters
      responses:
        '200':
          description: Image generated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  created:
                    type: integer
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        url:
                          type: string
                        b64_json:
                          type: string
                        revised_prompt:
                          type: string
                      x-apifox-orders:
                        - url
                        - b64_json
                        - revised_prompt
                x-apifox-orders:
                  - created
                  - data
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |-
        Use Bearer Token authentication
        Format: Authorization: Bearer sk-xxxxxx

````